Index: tmp/org.txm.rcp/src/main/java/org/txm/rcp/messages/messages_fr.properties
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcp/messages/messages_fr.properties	(revision 2827)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcp/messages/messages_fr.properties	(revision 2828)
@@ -1036,3 +1036,6 @@
 zoomInAmpoutColonMouseWheelORShiftPlusRightMousePlusDrag = \	Zoom +/- : Roulette OU Maj + Clic Droit + Glisser\n
 
 zoomToSelectionColonCtrlPlusLeftMousePlusdrag = \	Zoomer sur la sélection : Ctrl + Clic Gauche + Glisser\n
+
+updateWarning=Mise à jour interompue
+abortingWindowsUpdate=Pour pouvoir vérifier s'il y a de nouvelles mises à jour disponibles et les installer, vous devez lancer TXM en tant qu'administrateur.
Index: tmp/org.txm.rcp/src/main/java/org/txm/rcp/messages/TXMUIMessages.java
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcp/messages/TXMUIMessages.java	(revision 2827)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcp/messages/TXMUIMessages.java	(revision 2828)
@@ -7,7 +7,7 @@
 public class TXMUIMessages extends NLS {
 	
 	private static final String BUNDLE_NAME = "org.txm.rcp.messages.messages"; //$NON-NLS-1$
-	
+
 	public static String theP0directoryNotABinaryCorpus;
 	
 	public static String P0CorpusLoaded;
@@ -1147,7 +1147,9 @@
 	public static String SourceDirectoryPage_6;
 	
 	public static String SourceDirectoryPage_8;
-	
+
+	public static String updateWarning;
+	public static String abortingWindowsUpdate;
 	static {
 		// initialize resource bundle
 		Utf8NLS.initializeMessages(BUNDLE_NAME, TXMUIMessages.class);
Index: tmp/org.txm.rcp/src/main/java/org/txm/rcp/messages/messages.properties
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcp/messages/messages.properties	(revision 2827)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcp/messages/messages.properties	(revision 2828)
@@ -1109,4 +1109,7 @@
 
 zoomInAmpoutColonMouseWheelORShiftPlusRightMousePlusDrag = \	Zoom +/-: Mouse wheel OR Shift + Right Mouse + Drag\n
 
-zoomToSelectionColonCtrlPlusLeftMousePlusdrag = \	Zoom to selection: Ctrl + Left Mouse + Drag\n
+zoomToSelectionColonCtrlPlusLeftMousePlusdrag = \	Zoom to selection: Ctrl + Left Mouse + Drag\n
+
+updateWarning=Update warning
+abortingWindowsUpdate=To be able to check if new updates are available and install them, you must launch TXM as administrator.
Index: tmp/org.txm.rcp/src/main/java/org/txm/rcp/p2/plugins/TXMUpdateHandler.java
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcp/p2/plugins/TXMUpdateHandler.java	(revision 2827)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcp/p2/plugins/TXMUpdateHandler.java	(revision 2828)
@@ -42,13 +42,17 @@
 import org.eclipse.equinox.p2.ui.LoadMetadataRepositoryJob;
 import org.eclipse.equinox.p2.ui.ProvisioningUI;
 import org.eclipse.osgi.util.NLS;
+import org.eclipse.swt.SWT;
+import org.eclipse.swt.widgets.MessageBox;
 import org.eclipse.swt.widgets.Shell;
+import org.eclipse.ui.handlers.HandlerUtil;
 import org.eclipse.ui.statushandlers.StatusManager;
 import org.osgi.framework.Version;
 import org.txm.core.preferences.TBXPreferences;
 import org.txm.rcp.Activator;
 import org.txm.rcp.messages.TXMUIMessages;
 import org.txm.rcp.preferences.RCPPreferences;
+import org.txm.rcp.swt.dialog.TXMMessageBox;
 import org.txm.utils.BundleUtils;
 import org.txm.utils.OSDetector;
 import org.txm.utils.logger.Log;
@@ -72,8 +76,11 @@
 
 		if (OSDetector.isFamilyWindows() 
 				&& !isWindowsAdministratorUser()) {
-			Log.warning("Aborting TXM update. You need to run TXM as administrator to do updates.");
-			return null;
+			int ret = TXMMessageBox.show(HandlerUtil.getActiveShell(event), TXMUIMessages.updateWarning, TXMUIMessages.abortingWindowsUpdate, SWT.ICON_WARNING);
+			if (ret == SWT.CANCEL) {
+				Log.warning("Update canceled");
+				return null;
+			}
 		}
 
 		String key = event.getParameter("org.txm.rcp.parameters.update"); //$NON-NLS-1$
Index: tmp/org.txm.rcp/src/main/java/org/txm/rcp/swt/dialog/TXMMessageBox.java
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcp/swt/dialog/TXMMessageBox.java	(revision 2827)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcp/swt/dialog/TXMMessageBox.java	(revision 2828)
@@ -31,9 +31,8 @@
 import org.eclipse.swt.widgets.MessageBox;
 import org.eclipse.swt.widgets.Shell;
 
-// TODO: Auto-generated Javadoc
 /**
- * The Class TXMMessageBox.
+ * wrap the SWT MessageBox class
  */
 public class TXMMessageBox {
 
@@ -41,17 +40,19 @@
   Button button;
   
   /**
-   * Instantiates a new tXM message box.
+   * Instantiates a new TXM message box.
    *
    * @param shell the shell
    * @param title the title
    * @param message the message
    * @param style the style
+   * 
+   * @return dialog return code (defaults: SWT.OK, SWT.CANCEL)
    */
-  public static void show(Shell shell, String title, String message, int style) {
+  public static int show(Shell shell, String title, String message, int style) {
 	  MessageBox messageBox = new MessageBox(shell, style);
       messageBox.setText(title);
       messageBox.setMessage(message);
-      messageBox.open();
+      return messageBox.open();
   }
 }
